Bug 235190 - net-im/prosody: Make an option to include luadbi for database storage of accounts
Summary: net-im/prosody: Make an option to include luadbi for database storage of acco...
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: David Thiel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-25 07:17 UTC by Thomas Steen Rasmussen / Tykling
Modified: 2019-08-13 22:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lx)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Steen Rasmussen / Tykling 2019-01-25 07:17:21 UTC
It would be nice if net-im/prosody had an option to install databases/luadbi since it enables Prosody to store accounts in a database.

prosody-migrator also gains the ability to migrate to/from database with this package installed (see bug #235189)
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-12 22:04:55 UTC
Maintainer feedback,please!
Comment 2 David Thiel freebsd_committer 2019-08-13 22:00:05 UTC
The problems here are that the luadbi port installs for 5.2 by default, so we have to manually instruct the user how to set OPTIONS, and that luadbi doesn't install a single standard shared library — it's three separate optional shared objects. I'd rather leave this until after the 0.12 overhaul, to make it clean.